/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class ArcCercle {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));

  /* Fonction de determination des pixels                 */
  /* d'un arc de 1/8 de cercle centre sur l'origine       */
  /* r : rayon du cercle (en pixels)                      */

  public static void arcCercle(int r) {
    int x,y,d;
    x = 0;
    y = r;
    d = 1-r;
    System.out.println(x+","+y);
    while ( y > x ) {
      if ( d < 0 )
        d = d+2*x+3;
        else {
        d = d+2*(x-y)+5;
        y = y-1; }
      x = x+1;
      System.out.println(x+","+y); }
  }
    
  /* Fonction principale                                  */

  public static void main(String [] args) throws IOException {
  /* Lecture au clavier du rayon de l'arc                 */
  /* de 1/8 de cercle a tracer                            */
    System.out.print("Rayon de votre cercle : ");
    int r = Integer.valueOf(flux.readLine()).intValue();
  /* Lancement de la fonction de trace                    */
    arcCercle(r);
  }
}